Name:           perl-Search-Elasticsearch
Version:        6.00
Release:        2%{?dist}
Summary:        Official client for Elasticsearch
License:        ASL 2.0

URL:            http://search.cpan.org/dist/Search-Elasticsearch/
Source0:        http://www.cpan.org/authors/id/D/DR/DRTECH/Search-Elasticsearch-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-generators
BuildRequires:  perl(Any::URI::Escape)
BuildRequires:  perl(Cpanel::JSON::XS)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(Encode)
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(File::Temp)
BuildRequires:  perl(Hijk)
BuildRequires:  perl(HTTP::Headers)
BuildRequires:  perl(HTTP::Request)
BuildRequires:  perl(HTTP::Tiny)
BuildRequires:  perl(IO::Select)
BuildRequires:  perl(IO::Socket)
BuildRequires:  perl(IO::Socket::SSL)
BuildRequires:  perl(IO::Uncompress::Inflate)
BuildRequires:  perl(JSON)
BuildRequires:  perl(JSON::MaybeXS)
BuildRequires:  perl(JSON::PP)
BuildRequires:  perl(JSON::XS)
BuildRequires:  perl(lib)
BuildRequires:  perl(List::Util)
BuildRequires:  perl(Log::Any)
BuildRequires:  perl(Log::Any::Adapter)
BuildRequires:  perl(Log::Any::Adapter::Callback)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(MIME::Base64)
BuildRequires:  perl(Module::Runtime)
BuildRequires:  perl(Moo)
BuildRequires:  perl(Moo::Role)
BuildRequires:  perl(namespace::clean)
BuildRequires:  perl(overload)
BuildRequires:  perl(POSIX)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(strict)
BuildRequires:  perl(Sub::Exporter)
BuildRequires:  perl(Test::Deep)
BuildRequires:  perl(Test::Exception)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::SharedFork)
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(URI)
BuildRequires:  perl(URI::Escape::XS)
BuildRequires:  perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:       perl(IO::Socket::SSL)
Requires:       perl(IO::Uncompress::Inflate)
Requires:       perl(JSON::XS)
Requires:       perl(MIME::Base64)
Requires:       perl(URI::Escape::XS)

%{?perl_default_filter}

%description
Search::Elasticsearch is the official Perl client for Elasticsearch,
supported by elasticsearch.com. Elasticsearch itself is a flexible and
powerful open source, distributed real-time search and analytics engine for
the cloud. You can read more about it on elasticsearch.org.

%prep
%setup -q -n Search-Elasticsearch-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
make %{?_smp_mflags}

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%license LICENSE
%{perl_vendorlib}/Search*
%{_mandir}/man3/Search*

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 6.00-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Nov 19 2017 Emmanuel Seyman <emmanuel@seyman.fr> - 6.00-1
- Update to 6.00

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 5.02-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Jun 05 2017 Jitka Plesnikova <jplesnik@redhat.com> - 5.02-2
- Perl 5.26 rebuild

* Sun Apr 09 2017 Emmanuel Seyman <emmanuel@seyman.fr> - 5.02-1
- Update to 5.02

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 5.01-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun Dec 25 2016 Emmanuel Seyman <emmanuel@seyman.fr> - 5.01-1
- Update to 5.01

* Tue May 31 2016 Emmanuel Seyman <emmanuel@seyman.fr> - 2.03-1
- Update to 2.03

* Mon May 16 2016 Jitka Plesnikova <jplesnik@redhat.com> - 2.02-2
- Perl 5.24 rebuild

* Thu Apr 28 2016 Emmanuel Seyman <emmanuel@seyman.fr> - 2.02-1
- Update to 2.02

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.00-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Oct 31 2015 Emmanuel Seyman <emmanuel@seyman.fr> - 2.00-1
- Update to 2.00

* Sun Aug 30 2015 Emmanuel Seyman <emmanuel@seyman.fr> - 1.99-1
- Update to 1.99

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.20-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jun 08 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.20-2
- Perl 5.22 rebuild

* Sun May 17 2015 Emmanuel Seyman <emmanuel@seyman.fr> - 1.20-1
- Update to 1.20

* Sun Jan 18 2015 Emmanuel Seyman <emmanuel@seyman.fr> - 1.19-1
- Update to 1.19

* Sun Jan 04 2015 Emmanuel Seyman <emmanuel@seyman.fr> - 1.17-1
- Update to 1.17

* Sat Nov 22 2014 Emmanuel Seyman <emmanuel@seyman.fr> - 1.16-1
- Update to 1.16
- Drop Group tag
- Add %%license tag
- Tighten file listing

* Sun Nov 09 2014 Emmanuel Seyman <emmanuel@seyman.fr> - 1.15-1
- Update to 1.15

* Mon Sep 01 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.14-2
- Perl 5.20 rebuild

* Sun Aug 03 2014 Emmanuel Seyman <emmanuel@seyman.fr> - 1.14-1
- Update to 1.14

* Sun Jun 15 2014 Emmanuel Seyman <emmanuel@seyman.fr> - 1.13-1
- Update to 1.13

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 29 2014 Emmanuel Seyman <emmanuel@seyman.fr> - 1.12-1
- Update to 1.12

* Wed Apr 23 2014 Emmanuel Seyman <emmanuel@seyman.fr> - 1.10-3
- Take into account other comments

* Sun Apr 20 2014 Emmanuel Seyman <emmanuel@seyman.fr> - 1.10-2
- Take into account review comments (#1087988)

* Sun Mar 09 2014 Emmanuel Seyman <emmanuel@seyman.fr> 1.10-1
- Specfile autogenerated by cpanspec 1.78, with changes.
